## net.sf.saxon.s9api
Interface BuildingContentHandler

All Superinterfaces:
  ContentHandler

    public interface BuildingContentHandler

extends ContentHandler

A SAX `ContentHandler` that builds a Saxon tree, and allows the node at the root of the tree to be retrieved on completion

Method Summary
`XdmNode` `getDocumentNode()` After building the document by writing a sequence of events, retrieve the root node of the constructed document tree

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### getDocumentNode

    XdmNode getDocumentNode()
                            throws SaxonApiException

  After building the document by writing a sequence of events, retrieve the root node of the constructed document tree

  Returns:
    the root node of the constructed tree. The result is undefined (maybe null, maybe an exception) if the method is called before successfully completing the sequence of events (of which the last should be `ContentHandler.endDocument()`) that constructs the tree.
  Throws:
    `SaxonApiException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.